## org.omg.CORBA
Class PolicyTypeSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.PolicyTypeSeqHelper

public class PolicyTypeSeqHelper
extends java.lang.Object

Helper class for : PolicyTypeSeq

Author:
  OpenORB Compiler

Constructor Summary
`PolicyTypeSeqHelper()`

Method Summary
`static int[]` `extract(Any a)` Extract PolicyTypeSeq from an any
`static java.lang.String` `id()` Return the PolicyTypeSeq IDL ID
`static void` `insert(Any a, int[] t)` Insert PolicyTypeSeq into an any
`static int[]` `read(InputStream istream)` Read PolicyTypeSeq from a marshalled stream
`static TypeCode` `type()` Return the PolicyTypeSeq TypeCode
`static void` `write(OutputStream ostream, int[] value)` Write PolicyTypeSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyTypeSeqHelper

    public PolicyTypeSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              int[] t)

  Insert PolicyTypeSeq into an any
  Parameters:
    `a` - an any
    `t` - PolicyTypeSeq value

### extract

    public static int[] extract(Any a)

  Extract PolicyTypeSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted PolicyTypeSeq value

### type

    public static TypeCode type()

  Return the PolicyTypeSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the PolicyTypeSeq IDL ID
  Returns:
    an ID

### read

    public static int[] read(InputStream istream)

  Read PolicyTypeSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed PolicyTypeSeq value

### write

    public static void write(OutputStream ostream,
                             int[] value)

  Write PolicyTypeSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - PolicyTypeSeq value